com.microfocus.awm.core

## Class TaurusModelException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.microfocus.awm.core.TaurusException
      - - com.microfocus.awm.core.TaurusModelException

- All Implemented Interfaces:
    java.io.Serializable

      public class TaurusModelException
      extends TaurusException

  Exception type for errors occurring while parsing/interpreting AWM models.
  Author:
    Ralf Pakosch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaurusModelException(java.lang.Exception pE)` Constructs a new exception with the specified cause.
    `TaurusModelException(java.lang.String pMsg)` Constructs a new exception with the specified detail message.
    `TaurusModelException(java.lang.String pMsg, java.lang.Exception pE)` Constructs a new exception with the specified detail message and cause.
    `TaurusModelException(java.lang.String pMessage, java.lang.Throwable pCause, boolean pPreferExceptionMessage)` Constructs a new exception with the specified detail message, cause and prefer exception message flag.

  - ### Method Summary

    - ### Methods inherited from class com.microfocus.awm.core.TaurusException

      `getCustomErrorMessage, isPreferExceptionMessage, setCustomErrorMessage, setPreferExceptionMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TaurusModelException

          public TaurusModelException(java.lang.String pMsg)

      Constructs a new exception with the specified detail message.
      Parameters:
        `pMsg` - the message

    - #### TaurusModelException

          public TaurusModelException(java.lang.String pMsg,
                                      java.lang.Exception pE)

      Constructs a new exception with the specified detail message and cause.
      Parameters:
        `pMsg` - the message
        `pE` - the cause

    - #### TaurusModelException

          public TaurusModelException(java.lang.Exception pE)

      Constructs a new exception with the specified cause.
      Parameters:
        `pE` - the cause

    - #### TaurusModelException

          public TaurusModelException(java.lang.String pMessage,
                                      java.lang.Throwable pCause,
                                      boolean pPreferExceptionMessage)

      Constructs a new exception with the specified detail message, cause and prefer exception message flag. If this flag is set to `true`, the message will be the preferred message for the AWM error dialog. Else the last message in the exception hierarchy is used as message in the error dialog.
      Parameters:
        `pMessage` - the message
        `pCause` - the original cause
        `pPreferExceptionMessage` - whether the message of this `TaurusException` should be the preferred message to be displayed in the TaurusErrorDialog.

Copyright © 2015 Micro Focus GmbH. All rights reserved.